Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog
Class GNUSubprocessEngine

    java.lang.Object
      com.declarativa.interprolog.AbstractPrologEngine
          com.declarativa.interprolog.SubprocessEngine
              com.declarativa.interprolog.GNUSubprocessEngine

All Implemented Interfaces:
  PrologEngine

public class GNUSubprocessEngine
extends SubprocessEngine

A PrologEngine encapsulating a GNU Prolog engine, accessed over TCP/IP sockets.

Field Summary

Fields inherited from class com.declarativa.interprolog.AbstractPrologEngine
`firstJavaMessageName, interrupting, nl, prologBinDirectoryOrCommand`

Fields inherited from interface com.declarativa.interprolog.PrologEngine
`MAX_INT_VALUE, MIN_INT_VALUE, version`

Constructor Summary
`GNUSubprocessEngine()`
`GNUSubprocessEngine(String prologCommand)`
`GNUSubprocessEngine(String prologCommand, boolean debug)`
`GNUSubprocessEngine(String prologCommand, boolean debug, boolean loadFromJar)`

Methods inherited from class com.declarativa.interprolog.SubprocessEngine
`addPrologOutputListener, addPrologStderrListener, addPrologStdoutListener, deterministicGoal, isAvailable, realCommand, removePrologOutputListener, removePrologStderrListener, removePrologStdoutListener, sendAndFlush, sendAndFlushLn, setDebug, shutdown`

Methods inherited from class com.declarativa.interprolog.AbstractPrologEngine
`abortTasks, assignableType, command, consultAbsolute, consultFromPackage, consultRelative, deterministicGoal, deterministicGoal, deterministicGoal, deterministicGoal, doCallback, endAllTasks, findConstructor, findMethod, firstJavaMessage, getImplementationPeer, getJarDirectory, getJarDirectory, getLoadFromJar, getPrologBaseDirectory, getPrologNumericVersion, getPrologVersion, getRealJavaObject, getRealJavaObject, getRealJavaObject, handleCallback, interrupt, interruptTasks, isDebug, isIdle, isMacOS, isShutingDown, isWindowsOS, load_dynRelative, makeInvisible, printBindings, progressMessage, prologBinToBaseDirectory, registerJavaObject, setThreadedCallbacks, shortClassName, teachMoreObjects, teachMoreObjects, teachMoreObjects, teachOneObject, unescapedFilePath, unregisterJavaObject, unregisterJavaObject, unregisterJavaObjects, waitUntilAvailable, waitUntilIdle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GNUSubprocessEngine

    public GNUSubprocessEngine(String prologCommand,
                               boolean debug,
                               boolean loadFromJar)

### GNUSubprocessEngine

    public GNUSubprocessEngine(String prologCommand,
                               boolean debug)

### GNUSubprocessEngine

    public GNUSubprocessEngine(String prologCommand)

### GNUSubprocessEngine

    public GNUSubprocessEngine()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD